﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3649
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSEnableRefundCreateResponse

        Private dateTimeStampField As CTSEnableRefundCreateResponseDateTimeStamp

        Private successFlagField As CTSEnableRefundCreateResponseSuccessFlag

        Private refundHeaderField As CTSEnableRefundCreateResponseRefundHeader

        Private refundLinesField() As CTSEnableRefundCreateResponseRefundLine

        '''<remarks/>
        Public Property DateTimeStamp() As CTSEnableRefundCreateResponseDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(value As CTSEnableRefundCreateResponseDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SuccessFlag() As CTSEnableRefundCreateResponseSuccessFlag
            Get
                Return Me.successFlagField
            End Get
            Set(value As CTSEnableRefundCreateResponseSuccessFlag)
                Me.successFlagField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundHeader() As CTSEnableRefundCreateResponseRefundHeader
            Get
                Return Me.refundHeaderField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeader)
                Me.refundHeaderField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlArrayItemAttribute("RefundLine", IsNullable:=False)> _
        Public Property RefundLines() As CTSEnableRefundCreateResponseRefundLine()
            Get
                Return Me.refundLinesField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundLine())
                Me.refundLinesField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseDateTimeStamp

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseSuccessFlag

        Private valueField As Boolean

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Boolean
            Get
                Return Me.valueField
            End Get
            Set(value As Boolean)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeader

        Private sourceField As CTSEnableRefundCreateResponseRefundHeaderSource

        Private sourceOrderNumberField As CTSEnableRefundCreateResponseRefundHeaderSourceOrderNumber

        Private refundDateField As CTSEnableRefundCreateResponseRefundHeaderRefundDate

        Private refundSeqField As CTSEnableRefundCreateResponseRefundHeaderRefundSeq

        Private loyaltyCardNumberField As CTSEnableRefundCreateResponseRefundHeaderLoyaltyCardNumber

        Private deliveryChargeRefundValueField As CTSEnableRefundCreateResponseRefundHeaderDeliveryChargeRefundValue

        Private refundTotalField As CTSEnableRefundCreateResponseRefundHeaderRefundTotal

        '''<remarks/>
        Public Property Source() As CTSEnableRefundCreateResponseRefundHeaderSource
            Get
                Return Me.sourceField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderSource)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As CTSEnableRefundCreateResponseRefundHeaderSourceOrderNumber
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderSourceOrderNumber)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundDate() As CTSEnableRefundCreateResponseRefundHeaderRefundDate
            Get
                Return Me.refundDateField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderRefundDate)
                Me.refundDateField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundSeq() As CTSEnableRefundCreateResponseRefundHeaderRefundSeq
            Get
                Return Me.refundSeqField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderRefundSeq)
                Me.refundSeqField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LoyaltyCardNumber() As CTSEnableRefundCreateResponseRefundHeaderLoyaltyCardNumber
            Get
                Return Me.loyaltyCardNumberField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderLoyaltyCardNumber)
                Me.loyaltyCardNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryChargeRefundValue() As CTSEnableRefundCreateResponseRefundHeaderDeliveryChargeRefundValue
            Get
                Return Me.deliveryChargeRefundValueField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderDeliveryChargeRefundValue)
                Me.deliveryChargeRefundValueField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundTotal() As CTSEnableRefundCreateResponseRefundHeaderRefundTotal
            Get
                Return Me.refundTotalField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundHeaderRefundTotal)
                Me.refundTotalField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderSource

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderSourceOrderNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderRefundDate

        Private validationStatusField As String

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderRefundSeq

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderLoyaltyCardNumber

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderDeliveryChargeRefundValue

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundHeaderRefundTotal

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundLine

        Private sourceLineNoField As CTSEnableRefundCreateResponseRefundLineSourceLineNo

        Private productCodeField As CTSEnableRefundCreateResponseRefundLineProductCode

        Private quantityCancelledField As CTSEnableRefundCreateResponseRefundLineQuantityCancelled

        Private refundLineValueField As CTSEnableRefundCreateResponseRefundLineRefundLineValue

        '''<remarks/>
        Public Property SourceLineNo() As CTSEnableRefundCreateResponseRefundLineSourceLineNo
            Get
                Return Me.sourceLineNoField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundLineSourceLineNo)
                Me.sourceLineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ProductCode() As CTSEnableRefundCreateResponseRefundLineProductCode
            Get
                Return Me.productCodeField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundLineProductCode)
                Me.productCodeField = value
            End Set
        End Property

        '''<remarks/>
        Public Property QuantityCancelled() As CTSEnableRefundCreateResponseRefundLineQuantityCancelled
            Get
                Return Me.quantityCancelledField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundLineQuantityCancelled)
                Me.quantityCancelledField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundLineValue() As CTSEnableRefundCreateResponseRefundLineRefundLineValue
            Get
                Return Me.refundLineValueField
            End Get
            Set(value As CTSEnableRefundCreateResponseRefundLineRefundLineValue)
                Me.refundLineValueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundLineSourceLineNo

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundLineProductCode

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundLineQuantityCancelled

        Private validationStatusField As String

        Private valueField As String

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute(DataType:="integer")> _
        Public Property Value() As String
            Get
                Return Me.valueField
            End Get
            Set(value As String)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateResponseRefundLineRefundLineValue

        Private validationStatusField As String

        Private valueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlAttributeAttribute()> _
        Public Property ValidationStatus() As String
            Get
                Return Me.validationStatusField
            End Get
            Set(value As String)
                Me.validationStatusField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Decimal
            Get
                Return Me.valueField
            End Get
            Set(value As Decimal)
                Me.valueField = Value
            End Set
        End Property
    End Class
End Namespace
